
////////////////////////////////////////////////////////////////////////////
//	Copyright : Amit Dey 2002
//
//	Email :amitdey@joymail.com
//
//	This code may be used in compiled form in any way you desire. This
//	file may be redistributed unmodified by any means PROVIDING it is 
//	not sold for profit without the authors written consent, and 
//	providing that this notice and the authors name is included.
//
//	This file is provided 'as is' with no expressed or implied warranty.
//	The author accepts no liability if it causes any damage to your computer.
//
//	Do expect bugs.
//	Please let me know of any bugs/mods/improvements.
//	and I will try to fix/incorporate them into this file.
//	Enjoy!
//
//	Description : Outlook2K Addin 
////////////////////////////////////////////////////////////////////////////

// PropPage.cpp : Implementation of CPropPage

#include "stdafx.h"
#include "OutlookAddin.h"
#include "PropPage.h"

/////////////////////////////////////////////////////////////////////////////
// CPropPage

STDMETHODIMP  CPropPage::GetControlInfo(LPCONTROLINFO pCI ) {
	return S_OK;
};

// IOleObject
STDMETHODIMP CPropPage::SetClientSite(IOleClientSite *pClientSite){
	HRESULT result;
// call default ATL implementation
	result = IOleObjectImpl<CPropPage>::SetClientSite(pClientSite);
	if (result != S_OK) return result;
// pClientSite may be NULL when container has being destructed
	if (pClientSite != NULL) {
		CComQIPtr<Outlook::PropertyPageSite> pPropertyPageSite(pClientSite);
		result = pPropertyPageSite.CopyTo(&m_pPropPageSite);
	}
	m_fDirty = false;
	return result;
}

STDMETHODIMP CPropPage::get_Dirty(VARIANT_BOOL *Dirty)
{
	*Dirty = m_fDirty.boolVal;
	return S_OK;
}
STDMETHODIMP CPropPage::Apply()
{
	return S_OK;
}
STDMETHODIMP CPropPage::GetPageInfo(BSTR *HelpFile,LONG *HelpContext)
{
	if (HelpFile == NULL)
		return E_POINTER;
	if (HelpContext == NULL)
		return E_POINTER;
	return E_NOTIMPL;	
}